Subject: bypassing chroot configuration woes

From: Albert Lunde <[email-masked]>
Date: Sat, 7 Dec 1996 10:44:54 -0600

I was getting fairly confused reading the documentation trying to figure
out which files needed to be mirrored for chroot and which not, so I
finally created a directory:

~ftp/etc/ftpmsgs

and I created a soft link in the real /etc directory to it.

I then put all my message, banner, and shutdown files in this directory,
referring to them by the path /etc/ftpmsgs/something

No problems, no mess.

Symbolic links can be useful if you remember that they can point from the
real file system into the chroot ftp directories, but not vis-versa.

Another tip. To avoid creating writable files at all, set umask 0222, then
use vi and the ":w!" command to update files.

---
    Albert Lunde                      [email-masked]